Bug 24229 - new kstars
Summary: new kstars
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2019-01-23 10:28 CET by Nicolas Lécureuil
Modified: 2019-01-31 04:40 CET (History)
6 users (show)

See Also:
Source RPM: kstars3.0.0-1.mga6
CVE:
Status comment:


Attachments

Description Nicolas Lécureuil 2019-01-23 10:28:35 CET
some users have asked a new bugfix version of kstars.

so here come the version 3.0.0

src: kstars-3.0.0-1.mga6.src.rpm


rpms:
kstars-3.0.0-1.mga6
kstars-handbook-3.0.0-1.mga6
Comment 1 Morgan Leijström 2019-01-23 21:48:35 CET
Starting it from console it seems it fail to find some objects;
I believe it was so also for earlier versions.

( Swedish: "hittades inte" = "was not found" )

bash-4.3$ kstars
org.kde.kstars: Welcome to KStars 3.0.0
org.kde.kstars: Build: 2019-01-06T15:33:19Z
org.kde.kstars: OS: "mageia"
org.kde.kstars: API: "x86_64-little_endian-lp64"
org.kde.kstars: Arch: "x86_64"
org.kde.kstars: Kernel Type: "linux"
org.kde.kstars: Kernel Version: "4.14.90-desktop-1.mga6"
org.kde.kstars: Qt Version: 5.9.4
org.kde.kstars.catalog: DSO DB does not exist!
org.kde.kstars.catalog: Rebuilding Additional Sky Catalog Database
org.kde.kstars: User DB does not exist. New User DB will be created.
org.kde.kstars: Rebuilding User Database
org.kde.kstars: Processing  "unnamedstars.dat" , HTMesh Level 3
org.kde.kstars:   Sky Mesh Size:  512
org.kde.kstars: Loaded DSO catalog file:  "unnamedstars.dat"
org.kde.kstars: "Stjärnan HD20794 hittades inte."
org.kde.kstars: "Stjärnan HD98230 hittades inte."
File opened:  "/usr/share/kstars/ngcic.dat"
org.kde.kstars: Loading NGC/IC objects
Creating new catalog  "_Internet_Resolved"
Creating new catalog  "_Manual_Additions"
Unable to open file:  "/home/morgan/.local/share/kstars/asteroids.dat"
QTextStream: No device
File opened:  "/usr/share/kstars/comets.dat"
No localized URL file; using default English file.
org.kde.kstars: "Något objekt som heter M 102 hittades inte."
org.kde.kstars: "Något objekt som heter Pluto hittades inte."
org.kde.kstars: "Något objekt som heter M 102 hittades inte."
org.kde.kstars: "Något objekt som heter NGC 6050A hittades inte."
org.kde.kstars: "Något objekt som heter Pluto hittades inte."
org.kde.kstars: "Något objekt som heter M 102 hittades inte."
No localized URL file; using default English file.
org.kde.kstars: "Något objekt som heter M 102 hittades inte."
org.kde.kstars: "Något objekt som heter M 102 hittades inte."
org.kde.kstars: "Något objekt som heter Pluto hittades inte."
org.kde.kstars: "Något objekt som heter Pluto hittades inte."
org.kde.kstars: "Något objekt som heter Pluto hittades inte."
org.kde.kstars: "Något objekt som heter Quaoar (2002 LM60) hittades inte."
org.kde.kstars: "Något objekt som heter Ceres hittades inte."
org.kde.kstars: "Något objekt som heter Pallas hittades inte."                                                                                                                                                 
org.kde.kstars: "Något objekt som heter Vesta hittades inte."                                                                                                                                                  
org.kde.kstars: "Något objekt som heter Cybele hittades inte."                                                                                                                                                 
org.kde.kstars: "Något objekt som heter Psyche hittades inte."                                                                                                                                                 
org.kde.kstars: "Något objekt som heter Juno hittades inte."                                                                                                                                                   
org.kde.kstars: "Något objekt som heter Themis hittades inte."                                                                                                                                                 
org.kde.kstars: "Något objekt som heter Astraea hittades inte."                                                                                                                                                
org.kde.kstars: "Något objekt som heter Lumen hittades inte."                                                                                                                                                  
org.kde.kstars: "Något objekt som heter Ida hittades inte."                                                                                                                                                    
org.kde.kstars: "Något objekt som heter Mathilde hittades inte."                                                                                                                                               
org.kde.kstars: "Något objekt som heter Eros (1898 DQ) hittades inte."                                                                                                                                         
org.kde.kstars: "Något objekt som heter Hektor (1907 XM) hittades inte."                                                                                                                                       
org.kde.kstars: "Något objekt som heter Chiron (1977 UB) hittades inte."                                                                                                                                       
org.kde.kstars: "Något objekt som heter Halley (1982 HG1) hittades inte."                                                                                                                                      
org.kde.kstars: "Något objekt som heter M 102 hittades inte."                                                                                                                                                  
org.kde.kstars: "Något objekt som heter M 102 hittades inte."                                                                                                                                                  
org.kde.kstars: "Något objekt som heter Pluto hittades inte."                                                                                                                                                  
org.kde.kstars: "Något objekt som heter Pluto hittades inte."                                                                                                                                                  
org.kde.kstars: "Något objekt som heter Pluto hittades inte."                                                                                                                                                  
org.kde.kstars: "Något objekt som heter Quaoar (2002 LM60) hittades inte."                                                                                                                                     
org.kde.kstars: "Något objekt som heter Ceres hittades inte."                                                                                                                                                  
org.kde.kstars: "Något objekt som heter Pallas hittades inte."                                                                                                                                                 
org.kde.kstars: "Något objekt som heter Vesta hittades inte."                                                                                                                                                  
org.kde.kstars: "Något objekt som heter Cybele hittades inte."                                                                                                                                                 
org.kde.kstars: "Något objekt som heter Psyche hittades inte."                                                                                                                                                 
org.kde.kstars: "Något objekt som heter Juno hittades inte."                                                                                                                                                   
org.kde.kstars: "Något objekt som heter Themis hittades inte."                                                                                                                                                 
org.kde.kstars: "Något objekt som heter Astraea hittades inte."                                                                                                                                                
org.kde.kstars: "Något objekt som heter Lumen hittades inte."                                                                                                                                                  
org.kde.kstars: "Något objekt som heter Ida hittades inte."                                                                                                                                                    
org.kde.kstars: "Något objekt som heter Mathilde hittades inte."                                                                                                                                               
org.kde.kstars: "Något objekt som heter Eros (1898 DQ) hittades inte."                                                                                                                                         
org.kde.kstars: "Något objekt som heter Hektor (1907 XM) hittades inte."                                                                                                                                       
org.kde.kstars: "Något objekt som heter Chiron (1977 UB) hittades inte."                                                                                                                                       
org.kde.kstars: "Något objekt som heter Halley (1982 HG1) hittades inte."                                                                                                                                      
glibc >= 2.1 detected.  Using GNU extension sincos()

CC: (none) => fri

Marja Van Waes 2019-01-25 20:20:58 CET

Assignee: bugsquad => qa-bugs
Source RPM: (none) => kstars3.0.0-1.mga6
CC: (none) => marja11

Comment 2 Len Lawrence 2019-01-26 10:24:58 CET
Updated kstars and confirmed that most of the missing solar system objects in comment 1 are missing here.  No messages about Messier objects not found but there are a few referring to NGC data.  
The application is working as expected.  It launches with the original user settings (location).  Added some catalogues and updated asteroid orbital data.  Survey data overlays worked fine.
$ ls ~/.local/share/kstars
abell_pn.cat   deepstars.dat   image_url.dat  skycomponents.sqlite
asteroids.bin  fov.dat         info_url.dat   userdb.sqlite
asteroids.dat  hips_previews/  Sh2.cat

CC: (none) => tarazed25

Comment 3 Lewis Smith 2019-01-26 19:34:06 CET
(In reply to Nicolas Lécureuil from comment #0)
> some users have asked a new bugfix version of kstars.
> so here come the version 3.0.0
It is clear that this package is missing a lot of data that it expects; but that apart, it works. Is the missing data supposed to be cured by the bugfixes? Or are they permanent and known? (Morgan thinks they were absent previously). Are you able to ask upstream?
I will test before & after the update, and if the situation is no worse, we can push this as it is. But if the missing objects can be fixed, that would be better.

CC: (none) => lewyssmith

Comment 4 Len Lawrence 2019-01-26 19:57:02 CET
There always do seem to be a lot of such messages when Kstars fires up.  We could say that the missing objects represent a tiny fraction compared with what is included but some people might be upset that some of the most famous asteroids and minor bodies of the solar system have gone missing.  Maybe Nicolas can make some discreet enquiries.
Comment 5 Len Lawrence 2019-01-26 20:14:27 CET
Re comment 4.  Running kstars just now and looking for Pluto returned the information that it is below the horizon.  It was still possible to centre the view on it but of course nothing could be seen.  This means that some data for Pluto is included, its coordinates at least.  It is listed in the solar system find list.  Also, the command line no longer showed the list of objects not found before.  There may also be cross-checks between various tables which could generate spurious errors - just guessing there though.  Thus there might be minor bugs in the software, not significant to hold up the release.  Actually documenting such buhgs could be a bit of a headache.
Comment 6 Len Lawrence 2019-01-26 20:17:29 CET
s/not significant/not significant enough/
Comment 7 Lewis Smith 2019-01-26 20:26:59 CET
Trying M6/64
BEFORE update, installed kstars also pulled in the  handbook:
 kstars-16.12.3-1.mga6
I ran it to initialise it, and did not add any of the extras offered.

AFTER the update, which pulled in several new libraries, and selecting 'kstars' did *not* automatically add the handbook (selected manually):
- indilib-1.7.4-1.1.mga6.x86_64
- kstars-3.0.0-1.mga6.x86_64
- kstars-handbook-3.0.0-1.mga6.noarch
- lib64qt5datavisualization5-5.9.4-1.mga6.x86_64
- lib64qt5keychain1-0.7.0-2.mga6.x86_64
- lib64qt5websockets5-5.9.4-1.mga6.x86_64
- qtdatavis3d5-5.9.4-1.mga6.x86_64

I note the differences in missing objects between the two versions.
BEFORE:
"Star HD61421 not found."
"Star HD10700 not found."
"Star HD20794 not found."    x
"Star HD2151 not found."
"Star HD190248 not found."
"Star HD142860 not found."
"Star HD1581 not found."
"Star HD1581 not found."
"Star HD98230 not found."    x
AFTER: all cleared (OK) except the two marked 'x'. GOOD.

BEFORE:
"Object named NGC 3314A not found"
"Object named NGC 72 not found"
"Object named NGC 78 not found"
"Object named NGC 6050A not found"   x
"Object named NGC 4666 not found"
"Object named NGC 7318 not found"
"Object named NGC 7839 not found"
"Object named NGC 7840 not found"
"Object named IC 1127 not found"
"Object named IC 2497 not found"
"Object named IC 4703 not found"
AFTER: The objects above were fixed apart from those marked 'x'. GOOD.
But this list is much longer, BAD, the extra lost entities being:
org.kde.kstars: "Object named Pluto not found"             (*5)
org.kde.kstars: "Object named Quaoar (2002 LM60) not found"
org.kde.kstars: "Object named Ceres not found"
org.kde.kstars: "Object named Pallas not found"
org.kde.kstars: "Object named Vesta not found"
org.kde.kstars: "Object named Cybele not found"
org.kde.kstars: "Object named Europa not found"
org.kde.kstars: "Object named Psyche not found"
org.kde.kstars: "Object named Juno not found"
org.kde.kstars: "Object named Themis not found"
org.kde.kstars: "Object named Astraea not found"
org.kde.kstars: "Object named Lumen not found"
org.kde.kstars: "Object named Ida not found"
org.kde.kstars: "Object named Mathilde not found"
org.kde.kstars: "Object named Eros (1898 DQ) not found"
org.kde.kstars: "Object named Hektor (1907 XM) not found"
org.kde.kstars: "Object named Chiron (1977 UB) not found"
org.kde.kstars: "Object named 2 Encke not found"
org.kde.kstars: "Object named 1995 O1 (Hale-Bopp) not found"
org.kde.kstars: "Object named Halley (1982 HG1) not found"
org.kde.kstars: "Object named Hyakutake (1991 XC1) not found"
org.kde.kstars: "Object named 1973 E1 (Kohoutek) not found"
org.kde.kstars: "Object named 81 Wild 2 not found"
org.kde.kstars: "Object named Pluto not found"
org.kde.kstars: "Object named Pluto not found"
org.kde.kstars: "Object named Pluto not found"
org.kde.kstars: "Object named Quaoar (2002 LM60) not found"
org.kde.kstars: "Object named Ceres not found"
org.kde.kstars: "Object named Pallas not found"
org.kde.kstars: "Object named Vesta not found"
org.kde.kstars: "Object named Cybele not found"
org.kde.kstars: "Object named Europa not found"
org.kde.kstars: "Object named Psyche not found"
org.kde.kstars: "Object named Juno not found"
org.kde.kstars: "Object named Themis not found"
org.kde.kstars: "Object named Astraea not found"
org.kde.kstars: "Object named Lumen not found"
org.kde.kstars: "Object named Ida not found"
org.kde.kstars: "Object named Mathilde not found"
org.kde.kstars: "Object named Eros (1898 DQ) not found"
org.kde.kstars: "Object named Hektor (1907 XM) not found"
org.kde.kstars: "Object named Chiron (1977 UB) not found"
org.kde.kstars: "Object named 2 Encke not found"
org.kde.kstars: "Object named 1995 O1 (Hale-Bopp) not found"
org.kde.kstars: "Object named Halley (1982 HG1) not found"
org.kde.kstars: "Object named Hyakutake (1991 XC1) not found"
org.kde.kstars: "Object named 1973 E1 (Kohoutek) not found"
org.kde.kstars: "Object named 81 Wild 2 not found"
 Morgan's list in comment 1 is (curiously) even longer.

 @ Nicolas
Presumably this is just an inconsistency between data sources - re perhaps recently added thingies? It is *not* apparent launching from the menu. Len's test was comprehensive, no other problems. We could pass this with a clean conscience, but it would be nice to have first an upstream word about the missing entities. Await your opinion.

Keywords: (none) => feedback

Comment 8 Len Lawrence 2019-01-26 21:28:13 CET
@Lewis.
Before your tests I had some thoughts about the variation in the lists of missing objects.  Your results may invalidate my tentative conclusion but in your last list everything is a solar system body (comet, asteroid or Kuiper belt object).

Third thoughts on all this.  The number and kind of missing objects may vary between invocations because the skyview also changes.  Testing during daylight hours means that the plane of the ecliptic is at least partially visible and therefore many more solar system objects were visible.  For instance the second test did not report Pluto missing because it was not part of the visible sky any more.  That does not relate to the missing nebulae though.  

I am almost convinced that the apparent errors are related to the types of object currently visible at the observer's location - planetary bodies and extended objects for a start.  About to check your list in Kstars sky view.
Comment 9 Len Lawrence 2019-01-26 21:46:01 CET
Checked several at random and all were below the horizon and none appeared in the missing list.  However, Uranus did appear in the skyview but is not listed as missing so that alone clobbers my idea.
Comment 10 Len Lawrence 2019-01-27 13:07:03 CET
Except that the eight major planets are classified separately from the other solar system objects.  More convinced now that these missing objects lists are artefacts of some selection process because the objects themselves can in fact be found, at least any that I have checked.
Comment 11 Lewis Smith 2019-01-27 13:32:03 CET
(In reply to Len Lawrence from comment #10)
Thanks for your intensive research (which will not have bored you).
> More convinced now that these missing objects lists
> are artefacts of some selection process because the objects themselves can
> in fact be found, at least any that I have checked.
This implies that the listed alleged missing objects *do not matter (are misleading)* because they are actually present. If this is so, we can remove the feedback marker, OK & validate the update; and I will do the advisory.
Comment 12 Len Lawrence 2019-01-27 20:06:34 CET
Agreed.  The messages should really go to a log somewhere as they are misleading.   The developers probably expected most users to invoke the command from a menu or icon.  Removing feedback marker and validating (assuming bugfix is covered by "update").  Thanks Lewis.

CC: (none) => sysadmin-bugs
Whiteboard: (none) => MGA6-64-OK
Keywords: feedback => validated_update

Comment 13 Lewis Smith 2019-01-28 20:33:51 CET
(In reply to Len Lawrence from comment #12)
> (assuming bugfix is covered by "update").
Yes, & thanks.
Advisory from comment 0.

Keywords: (none) => advisory

Comment 14 Mageia Robot 2019-01-30 20:40:52 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2019-0007.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED

Comment 15 Dave Hodgins 2019-01-31 04:40:56 CET
# urpmi --test kstars kstars-handbook
A requested package cannot be installed:
kstars-3.0.0-1.mga6.x86_64 (due to unsatisfied indilib[>= 1.7.1]

Will open a new bug report as indilib-1.7.4-1.1.mga6.x86_64 should have been
included in the advisory for this one.

CC: (none) => davidwhodgins


Note You need to log in before you can comment on or make changes to this bug.